package com.kxs.product.biz.constant.enums;


import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 商城相关枚举类
 *
 * @author Lxq
 * @date 2023-12-20
 */
@Getter
@RequiredArgsConstructor
public enum KxsShopEnum {

    /**
     * 订单状态
     */
    ORDER_NO_PAY(0, "未支付"),
    ORDER_NO_SEND(1, "待发货"),
    ORDER_NO_TAKE(2, "待收货"),
    ORDER_CONFIRM(3, "已完成"),
    ORDER_CANCEL(4, "已取消"),

    /**
     * 支付方式
     */
    YUE_PAY(0, "余额支付"),
    ALI_PAY(1, "支付宝支付"),
    WECHAT_PAY(2, "微信支付"),
    LEADER_PAY(3, "盟主储蓄金");

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String description;
}
